
From: James Lamanna <jlamanna@gmail.com>

super.c vfree() checking cleanups.

Signed-off by: James Lamanna <jlamanna@gmail.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiserfs/super.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/reiserfs/super.c~janitor-reiserfs-superc-vfree-checking-cleanups fs/reiserfs/super.c
--- devel/fs/reiserfs/super.c~janitor-reiserfs-superc-vfree-checking-cleanups	2005-08-08 23:17:22.000000000 -0700
+++ devel-akpm/fs/reiserfs/super.c	2005-08-08 23:17:22.000000000 -0700
@@ -1934,8 +1934,7 @@ static int reiserfs_fill_super(struct su
 			if (SB_AP_BITMAP(s))
 				brelse(SB_AP_BITMAP(s)[j].bh);
 		}
-		if (SB_AP_BITMAP(s))
-			vfree(SB_AP_BITMAP(s));
+		vfree(SB_AP_BITMAP(s));
 	}
 	if (SB_BUFFER_WITH_SB(s))
 		brelse(SB_BUFFER_WITH_SB(s));
_
